DEFINITION MODULE kshCommands;

EXPORT QUALIFIED

	getarg, initMountTable, writeMountItems,
	Mount, Umount, Help, Cd, Pwd, Ls, Rm, Rmall, Clrj, Mkdir, Rmdir,
	Cp, Ln, Cat, Copy, Chown, Chgrp, Chmod, Chsec, Chint, Chcmprt;


PROCEDURE getarg(
	input:          ARRAY OF CHAR;
	narg:           CARDINAL;
	VAR output:     ARRAY OF CHAR
);

PROCEDURE initMountTable;

PROCEDURE writeMountItems;

PROCEDURE Mount(
	inp:	ARRAY OF CHAR
);

PROCEDURE Umount(
	inp:	ARRAY OF CHAR
);

PROCEDURE Help(
	inp:	ARRAY OF CHAR
);

PROCEDURE Cd(
	inp:	ARRAY OF CHAR
);

PROCEDURE Pwd;

PROCEDURE Ls(
	inp:	ARRAY OF CHAR
);

PROCEDURE Rm(
	inp:	ARRAY OF CHAR
);

PROCEDURE Rmall(
	inp:	ARRAY OF CHAR
);

PROCEDURE Clrj(
	inp:	ARRAY OF CHAR
);

PROCEDURE Mkdir(
	inp:	ARRAY OF CHAR
);

PROCEDURE Rmdir(
	inp:	ARRAY OF CHAR
);

PROCEDURE Cp(
	inp:	ARRAY OF CHAR
);

PROCEDURE Ln(
	inp:	ARRAY OF CHAR
);

PROCEDURE Cat(
	inp:	ARRAY OF CHAR
);

PROCEDURE Copy(
	inp:	ARRAY OF CHAR
);

PROCEDURE Chown(
	inp:	ARRAY OF CHAR
);

PROCEDURE Chgrp(
	inp:	ARRAY OF CHAR
);

PROCEDURE Chmod(
	inp:	ARRAY OF CHAR
);

PROCEDURE Chsec(
	inp:	ARRAY OF CHAR
);

PROCEDURE Chint(
	inp:	ARRAY OF CHAR
);

PROCEDURE Chcmprt(
	inp:	ARRAY OF CHAR
);


END kshCommands.
